close all
clear all

load results.mat
[iZ, jZ] = find(V(:,:,1)<0.05);

figure;
for j = 1 : 10 : length(iZ)
    clf
    xCurr = xGrid(jZ(j));
    dxCurr = dxGrid(iZ(j));
    ezplot('atan(x)*atan(x)');
    hold on
    axis equal
    axis([-5 5 -5 5])
    plot(xCurr, atan(xCurr)*atan(xCurr)+0.03, '.r', 'MarkerSize', 30);
    
    slopeCurr = [1, 2*atan(xCurr)/(1+xCurr^2)]/sqrt(1 + (2*atan(xCurr)/(1+xCurr^2))^2) * dxCurr;
    quiver(xCurr, atan(xCurr)*atan(xCurr)+0.03, slopeCurr(1), slopeCurr(2), 0.0,  'LineWidth', 3, 'MarkerSize', 30)
    grid
    pause(.1)
end
